Name:           mirall
Version:        1.2.5
Release:        1%{?dist}
License:        GPLv2+
Summary:        The ownCloud Client
Url:            http://www.gitorious.org/owncloud/mirall/
Source0:        http://download.owncloud.com/download/mirall-%{version}.tar.bz2
Source1:        mirall.desktop

BuildRequires:  cmake
BuildRequires:  owncloud-csync-devel >= 0.70.7
BuildRequires:  iniparser-devel
BuildRequires:  qt4-devel 
BuildRequires:  desktop-file-utils
Requires:       %{name}-common%{?_isa} = %{version}-%{release}

%description
Mirall owncloud-client enables you to connect to your private
ownCloud Server. With it you can create folders in your home
directory, and keep the contents of those folders synced with your
ownCloud server. Simply copy a file into the directory and the 
ownCloud Client does the rest.

%package common
Summary: common files for mirall and owncloud-client
Requires: owncloud-csync-plugin-owncloud >= 0.70.7

%description common
provides common files for mirall and owncloud-client
such as the configurationfile that determines the excluded files
in a sync.

%package -n owncloud-client
Summary: owncloud Standalone client
Requires: %{name}-common%{?_isa} = %{version}-%{release}

%description -n owncloud-client
The ownCloud desktop client, lets you sync directly to your ownCloud server.

%prep
%setup -q %{name}-%{version}

%build
mkdir build
pushd build
%cmake .. -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" -DCSYNC_LIBRARY:PATH=%{_libdir}/libocsync.so -DCSYNC_INCLUDE_PATH:PATH=%{_includedir}/ocsync -DPLASMACLIENT=ON
make %{?_smp_mflags}
popd

%install
pushd build
make install DESTDIR=%{buildroot}
popd

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1}

%post 
/sbin/ldconfig 
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%postun 
/sbin/ldconfig 
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
fi

%post -n owncloud-client
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans -n owncloud-client
gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n owncloud-client
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files
%{_bindir}/mirall
%{_datadir}/applications/mirall.desktop
%{_datadir}/icons/hicolor/48x48/apps/mirall.png

%files common
%{_libdir}/libowncloudsync.so  
%{_libdir}/libowncloudsync.so.0
%{_libdir}/libowncloudsync.so.%{version}
%{_datadir}/mirall
%doc README.md COPYING
%config  %{_prefix}%{_sysconfdir}/sync-exclude.lst

%files -n owncloud-client
%{_bindir}/owncloud
%{_datadir}/applications/owncloud.desktop
%{_datadir}/icons/hicolor/48x48/apps/owncloud.png

%changelog
* Tue Apr 23 2013 <jmarrero@fedoraproject.org> 1.2.5-1
- Update to upstream version 1.2.5
* Thu Apr 11 2013 <jmarrero@fedoraproject.org> 1.2.4-1
- Update to uptream version 1.2.4
* Tue Apr 03 2013 <jmarrero@fedoraproject.org> 1.2.3-1
- remove plasma client files as is not officially merged uptream
- Update to 1.2.3 uptream version
* Tue Mar 05 2013 <jmarrero@fedoraproject.org> 1.2.2-2
- plasma client files fix
* Tue Mar 05 2013 <jmarrero@fedoraproject.org> 1.2.2-1
- add new Plasma client package
* Sat Mar 02 2013 <jmarrero@fedoraproject.org> 1.2.1-2
- moved libowncloudsync.so* to common as it is now used by mirall and owncloud-client
- re-added mirall .desktop launcher
* Sat Mar 02 2013 <jmarrero@fedoraproject.org> 1.2.1-1
- Update to 1.2.1
* Sat Jan 26 2013 <jmarrero@fedoraproject.org> 1.2.0-1
- Update to 1.2.0
* Sat Jan 19 2013 <jmarrero@fedoraproject.org> 1.2.0beta2-1
- update to 1.2.0beta2
* Fri Dec 21 2012 <jmarrero@fedoraproject.org> 1.2.0beta1-1
- Update to 1.2.0beta1
* Thu Dec 20 2012 <jmarrero@fedoraproject.org> 1.1.4-1
- Update to 1.1.4
* Tue Dec 04 2012 <jmarrero@fedoraproject.org> 1.1.3-1
- Update to 1.1.3
* Fri Oct 19 2012 <jmarrero@fedoraproject.org> 1.1.1-1
- Update to 1.1.1
* Mon Oct 15 2012 <jmarrero@fedoraproject.org> 1.1.0-2
- fix mirall-common dependency problem
* Sun Oct 14 2012 <jmarrero@fedoraproject.org> 1.1.0-1
- Version Upgrade to 1.1.0
- Removed the need to look for occsync now mirall looks for ocsync the new name of owncloud-csync
* Mon Aug 20 2012 <jmarrero@fedoraproject.org> 1.0.5-4
- removed unesesary cmake flags
* Fri Aug 17 2012 <jmarrero@fedoraproject.org> 1.0.5-3
- added icon scriplets for owncloud-client icons
- moved %%doc to mirall-common
- Added cmake  dcSYNC_INCLUDE_PATH:PATH=%{_includedir}/occsync and dc SYNC_LIBRARY:PATH=%{_libdir}/liboccsync.so to have mirall look for occsync instead of csync
- Removed uneeded dep
- Changelog corrections and clean up
* Thu Aug 16 2012 <jmarrero@fedoraproject.org> 1.0.5-2
- Divided mirall into mirall-common, mirall and owncloud-client
- Added dcMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed
- moved exclude.lst back to /etc/, the apps look for it there
- fixed icons descriptions
- added refresh icon cache
- updated csync dep to owncloud-csync
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.5-1
- Update to 1.0.5
- drop defattr
- remove not-needed dependencies
- changelog cleanup
- moved exclude.lst to /etc/mirall/
- fixed source01 and source 02 (icons) 
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.4-2
- added mirall icon and smp flags plus code cleanup
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.4-1
- Initial try
